> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Create Business Hours

POST https://companies/%7Bcompany_id%7D/config/business-hours
Content-Type: multipart/form-data

Reference: https://docs.itspropel.com/propel-biz/03-company/03-company-config/business-hours/create-business-hours

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /companies/%7Bcompany_id%7D/config/business-hours:
    post:
      operationId: create-business-hours
      summary: Create Business Hours
      tags:
        - >-
          subpackage_03Company.subpackage_03Company/03CompanyConfig.subpackage_03Company/03CompanyConfig/businessHours
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/03 Company_03 Company > Config_Business
                  Hours_Create Business Hours_Response_200
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                is_closed:
                  type: string
                  description: >-
                    Required: Is business closed on this day - true|false - if
                    true, open_time/close_time ignored
                open_time:
                  type: string
                  description: >-
                    Optional: Opening time - HH:MM format - required if
                    is_closed=false
                close_time:
                  type: string
                  description: >-
                    Optional: Closing time - HH:MM format - required if
                    is_closed=false
                day_of_week:
                  type: string
                  description: 'Required: Day of week - 0=Sunday, 1=Monday, ..., 6=Saturday'
                tenant_location_id:
                  type: string
                  description: >-
                    Optional: Location UUID for location-specific hours - leave
                    empty for company-wide hours
              required:
                - is_closed
                - open_time
                - close_time
                - day_of_week
                - tenant_location_id
servers:
  - url: https:/
components:
  schemas:
    03 Company_03 Company > Config_Business Hours_Create Business Hours_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        03 Company_03 Company > Config_Business Hours_Create Business
        Hours_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/companies/%7Bcompany_id%7D/config/business-hours"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_closed\"\r\n\r\nfalse\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"open_time\"\r\n\r\n09:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"close_time\"\r\n\r\n17:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\n3fa85f64-5717-4562-b3fc-2c963f66afa6\r\n-----011000010111000001101001--\r\n"
headers = {"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/companies/%7Bcompany_id%7D/config/business-hours';
const form = new FormData();
form.append('is_closed', 'false');
form.append('open_time', '09:00');
form.append('close_time', '17:00');
form.append('day_of_week', '1');
form.append('tenant_location_id', '3fa85f64-5717-4562-b3fc-2c963f66afa6');

const options = {method: 'POST'};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/companies/%7Bcompany_id%7D/config/business-hours"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_closed\"\r\n\r\nfalse\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"open_time\"\r\n\r\n09:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"close_time\"\r\n\r\n17:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\n3fa85f64-5717-4562-b3fc-2c963f66afa6\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/companies/%7Bcompany_id%7D/config/business-hours")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_closed\"\r\n\r\nfalse\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"open_time\"\r\n\r\n09:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"close_time\"\r\n\r\n17:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\n3fa85f64-5717-4562-b3fc-2c963f66afa6\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/companies/%7Bcompany_id%7D/config/business-hours")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_closed\"\r\n\r\nfalse\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"open_time\"\r\n\r\n09:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"close_time\"\r\n\r\n17:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\n3fa85f64-5717-4562-b3fc-2c963f66afa6\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/companies/%7Bcompany_id%7D/config/business-hours', [
  'multipart' => [
    [
        'name' => 'is_closed',
        'contents' => 'false'
    ],
    [
        'name' => 'open_time',
        'contents' => '09:00'
    ],
    [
        'name' => 'close_time',
        'contents' => '17:00'
    ],
    [
        'name' => 'day_of_week',
        'contents' => '1'
    ],
    [
        'name' => 'tenant_location_id',
        'contents' => '3fa85f64-5717-4562-b3fc-2c963f66afa6'
    ]
  ]
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/companies/%7Bcompany_id%7D/config/business-hours");
var request = new RestRequest(Method.POST);
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_closed\"\r\n\r\nfalse\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"open_time\"\r\n\r\n09:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"close_time\"\r\n\r\n17:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"day_of_week\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\n3fa85f64-5717-4562-b3fc-2c963f66afa6\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation
let parameters = [
  [
    "name": "is_closed",
    "value": "false"
  ],
  [
    "name": "open_time",
    "value": "09:00"
  ],
  [
    "name": "close_time",
    "value": "17:00"
  ],
  [
    "name": "day_of_week",
    "value": "1"
  ],
  [
    "name": "tenant_location_id",
    "value": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://https/companies/%7Bcompany_id%7D/config/business-hours")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```